

/* bit_decoder.h
 * by Clemens Helfmeier
 *
 * This code converts a pulse-length modulated binary stream
 * into digital words.
 */

#ifndef _BIT_DECODER_H_
#define _BIT_DECODER_H_

#include <inttypes.h>

#define bdec_EMPTY	0x00
#define bdec_SYNC	0x01
#define bdec_ZERO	0x02
#define bdec_ONE	0x03
#define bdec_OVF	0xF0

/* get one bit from the stream.
 * return values are:
 * 0x00 no bit in stream available
 * 0x01 sync bit read
 * 0x02 "0" read
 * 0x03 "1" read
 * 0xF0 overflow occured (bits lost)
 */
uint8_t bdec_getBit( void );


/* this procedure must be called regularily
 * with an exact frequency.
 */
void bdec_timer( void );

/* initialize the binary decoder
 */
void bdec_init( void );

#endif

